Subject: bug#50219: 28.0.50; Provide better errors when trying to specialize on optional args in generic methods

From: Stefan Monnier <[email-masked]>
Date: Sat, 28 Aug 2021 12:42:33 -0400

> Hm...  So the warning here is correct, I guess.  But perhaps it could
> also have said something about it being ambiguous syntax (since is also
> knows the declared parameter list from `cl-defgeneric')...

[ I don't see how the arglist of `cl-defgeneric` would have helped here
  discover the confusion.  ]

Or we could deprecate the use of Common-Lisp style arglists in
cl-defmethod.  I don't know how often it's used, tho.

        Stefan